TPSentinel LogoTPSentinel

Create Workspace

POST
/v1/admin/{org_uuid}/workspaces

Path Parameters

org_uuid*Org Uuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/admin/string/workspaces" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "enable_snapshot": false,  "snapshot_interval": 30,  "snapshot_resolution": 720,  "snapshot_sources": [    "string"  ],  "anomalies_to_track": [    "string"  ],  "enable_anomaly_clip": false,  "anomaly_clip_sources": [    "string"  ],  "anomaly_clip_duration": 30,  "anomaly_clip_resolution": 720,  "recording_enabled": false,  "recording_sources": [    "string"  ],  "recording_max_duration": 3600,  "recording_resolution": 720,  "track_navigation_changes": false,  "device_check_enabled": false,  "idle_time_threshold": 600,  "identity_verification_type": "",  "identity_check_attempt_limit": 3,  "identity_check_enabled": false,  "anomaly_detection_enabled": false,  "bot_detection_enabled": false,  "event_tracking_enabled": false,  "id": 0,  "uuid": "string",  "name": "string",  "description": "string",  "is_active": true,  "organization_id": 0,  "policy_template_id": 0,  "created": "2019-08-24T14:15:22Z",  "modified": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}